var $$ = Dom7;

var app = new Framework7({
  // App root element
  el: '#app',
  // App Name
  name: 'FW7test',
  theme: 'ios',
  dialog: {
    buttonCancel: 'cAnCeL'
  },
  smartSelect: {
    closeOnSelect: true
  },
  calender: {
    closeOnSelect: true
  },
  popover: {
    backdrop: false
  },
  // App routes
  routes: routes,
  // Enable swipe panel
  panel: {
    swipe: false,
    animate: false,
  },
});

var mainView = app.views.create('.view-main');

setTimeout(function(){ 
  $$('#splash').css('display','none');
  $$("#viewmain").show();
  }, 1000);

  function slettpost (postType, gamerID) {
    var thisgamerID = postType + gamerID;
    $$('#' + thisgamerID).addClass('remove-item-red');
  
    var slettPost = app.actions.create({
      buttons: [
        [
          {
            text: 'Delete this record?',
            label: true
          },
          {
            text: 'Delete',
            color: 'red',
            onClick: function () {
              // Make a GET request using the Fetch API
              const formData = {
                gamerID: gamerID,
              }
              fetch('database/deleteGamer.php', {
                method: 'POST',
                headers: {
                  'Content-Type': 'application/json',
                },
                body: JSON.stringify(formData),
              })
                .then(response => {
                  console.log(response.status);
                  if (!response.ok) {
                    if (response.status === 404) {
                      app.dialog.alert('Requested page not found. [404]');
                    } else if (response.status === 500) {
                      app.dialog.alert('Internal Server Error [500]');
                    } else {
                      app.dialog.alert('[timeout] Time out error.');
                    }
                  } else {
                    if (response.status === 200) {
                      return response.text();
                    }
                  }
                })
                .then(data => {
                  if (data == 'deletedOK') {
                    $$('#' + thisgamerID).addClass('remove-item');
                    } else {
                        app.dialog.alert('Error, no record to delete');
                      }
                })
                .catch(error => {
                  console.error('Error:', error);
                });
            }
          }
        ],
        [
          {
            text: 'Cancel',
            bold: true,
            onClick: function () {
              $$('#' + thisgamerID).removeClass('remove-item-red');
            }
          }
        ]
      ]
    });
  
    slettPost.open();
  
  }

  // This code is from chat.deepseek.com - 2025-02-12
  function calculateAge(birthDateString) {
    // Split the input into year, month, and day components
    const [year, month, day] = birthDateString.split('-');
    
    // Create Date objects (months are 0-based in JavaScript)
    const birthDate = new Date(year, month - 1, day); // Local time
    const today = new Date(); // Current local date

    // Calculate raw age difference
    let age = today.getFullYear() - birthDate.getFullYear();

    // Check if the birthday hasn't occurred yet this year
    const currentMonth = today.getMonth();
    const birthMonth = birthDate.getMonth();
    const currentDay = today.getDate();
    const birthDay = birthDate.getDate();

    if (
        currentMonth < birthMonth || 
        (currentMonth === birthMonth && currentDay < birthDay)
    ) {
        age--; // Subtract 1 year if birthday hasn't passed
    }

    return age;
}